%global packname KEGGREST
%global packver 1.32.0

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{packver}.tar.gz
License:          Artistic 2.0
BuildArch:        noarch
URL:              http://www.bioconductor.org/packages/release/bioc/html/%{packname}.html
Summary:          Client-side REST access to the Kyoto Encyclopedia of Genes and Genomes
BuildRequires:    R-devel >= 3.5.0, tetex-latex
BuildRequires:    R-methods, R-httr, R-png, R-Biostrings
BuildRequires:    R-RUnit, R-BiocGenerics, R-knitr, R-markdown

%description
A package that provides a client interface to the Kyoto Encyclopedia of Genes
and Genomes (KEGG) REST server. Based on KEGGSOAP by J. Zhang, R. Gentleman,
and Marc Carlson, and KEGG (python package) by Aurelien Mazurie.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{_datadir}/R/library
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname} --no-examples --no-install

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/NEWS
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/unitTests

%changelog
* Wed Jun 16 2021 Tom Callaway <spot@fedoraproject.org> - 1.32.0-1
- new package
